Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(14)

Issue 2691643002: Add gpu_angle_passthrough_fuzzer. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
4 months, 1 week ago by Geoff Lang
Modified:
3 months ago
CC:
chromium-reviews, piman+watch_chromium.org, fuzzing_chromium.org
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Add gpu_angle_passthrough_fuzzer. Tests the passthrough command decoder and the ANGLE null backend. Reset the context after each iteration. When the same context was re-used, it lead to crashes that could not be reproduced with the input file provided. Theoretically, the fuzzer will still find the same crashes with a single run using one context unless the crash was in the intialization/destruction code of the command decoder and depended on a context having specific state. BUG=602737 CQ_INCLUDE_TRYBOTS=master.tryserver.chromium.android:android_optional_gpu_tests_rel;master.tryserver.chromium.linux:linux_optional_gpu_tests_rel;master.tryserver.chromium.mac:mac_optional_gpu_tests_rel;master.tryserver.chromium.win:win_optional_gpu_tests_rel Review-Url: https://codereview.chromium.org/2691643002 Cr-Commit-Position: refs/heads/master@{#458103} Committed: https://chromium.googlesource.com/chromium/src/+/547de958066823514c34b264b0711bb24eb31dc6

Patch Set 1 #

Total comments: 10

Patch Set 2 : Address piman's comments. #

Patch Set 3 : Remove init tracking. #

Patch Set 4 : Only re-create the context for the passthrough fuzzer. #

Total comments: 2

Patch Set 5 : Fix incorrect surface re-creation #

Messages

Total messages: 34 (21 generated)
Geoff Lang
PTAL, I haven't uploaded the corpus yet but I'll be using the same one as ...
3 months, 2 weeks ago (2017-03-09 00:45:25 UTC) #8
mmoroz
LGTM
3 months, 2 weeks ago (2017-03-09 10:26:04 UTC) #9
piman - OOO back 6-26
https://codereview.chromium.org/2691643002/diff/1/gpu/command_buffer/tests/fuzzer_main.cc File gpu/command_buffer/tests/fuzzer_main.cc (right): https://codereview.chromium.org/2691643002/diff/1/gpu/command_buffer/tests/fuzzer_main.cc#newcode101 gpu/command_buffer/tests/fuzzer_main.cc:101: (void)command_line; nit: ALLOW_UNUSED_LOCAL https://codereview.chromium.org/2691643002/diff/1/gpu/command_buffer/tests/fuzzer_main.cc#newcode139 gpu/command_buffer/tests/fuzzer_main.cc:139: context_->Initialize(surface_.get(), gl::GLContextAttribs()); Did you ...
3 months, 2 weeks ago (2017-03-09 18:15:14 UTC) #10
Geoff Lang
https://codereview.chromium.org/2691643002/diff/1/gpu/command_buffer/tests/fuzzer_main.cc File gpu/command_buffer/tests/fuzzer_main.cc (right): https://codereview.chromium.org/2691643002/diff/1/gpu/command_buffer/tests/fuzzer_main.cc#newcode101 gpu/command_buffer/tests/fuzzer_main.cc:101: (void)command_line; On 2017/03/09 18:15:13, piman - On leave - ...
3 months, 2 weeks ago (2017-03-09 19:29:10 UTC) #13
piman - OOO back 6-26
https://codereview.chromium.org/2691643002/diff/1/gpu/command_buffer/tests/fuzzer_main.cc File gpu/command_buffer/tests/fuzzer_main.cc (right): https://codereview.chromium.org/2691643002/diff/1/gpu/command_buffer/tests/fuzzer_main.cc#newcode199 gpu/command_buffer/tests/fuzzer_main.cc:199: decoder_initialized_ = true; On 2017/03/09 19:29:10, Geoff Lang wrote: ...
3 months, 2 weeks ago (2017-03-09 22:12:35 UTC) #17
Geoff Lang
https://codereview.chromium.org/2691643002/diff/1/gpu/command_buffer/tests/fuzzer_main.cc File gpu/command_buffer/tests/fuzzer_main.cc (right): https://codereview.chromium.org/2691643002/diff/1/gpu/command_buffer/tests/fuzzer_main.cc#newcode199 gpu/command_buffer/tests/fuzzer_main.cc:199: decoder_initialized_ = true; On 2017/03/09 22:12:35, piman - On ...
3 months, 2 weeks ago (2017-03-09 22:22:14 UTC) #18
Geoff Lang
https://codereview.chromium.org/2691643002/diff/1/gpu/command_buffer/tests/fuzzer_main.cc File gpu/command_buffer/tests/fuzzer_main.cc (right): https://codereview.chromium.org/2691643002/diff/1/gpu/command_buffer/tests/fuzzer_main.cc#newcode199 gpu/command_buffer/tests/fuzzer_main.cc:199: decoder_initialized_ = true; On 2017/03/09 22:22:13, Geoff Lang wrote: ...
3 months, 1 week ago (2017-03-16 17:22:08 UTC) #21
piman - OOO back 6-26
LGTM with 1 nit https://codereview.chromium.org/2691643002/diff/60001/gpu/command_buffer/tests/fuzzer_main.cc File gpu/command_buffer/tests/fuzzer_main.cc (right): https://codereview.chromium.org/2691643002/diff/60001/gpu/command_buffer/tests/fuzzer_main.cc#newcode290 gpu/command_buffer/tests/fuzzer_main.cc:290: surface_ = new gl::GLSurfaceStub; nit: ...
3 months, 1 week ago (2017-03-16 18:14:34 UTC) #22
Geoff Lang
https://codereview.chromium.org/2691643002/diff/60001/gpu/command_buffer/tests/fuzzer_main.cc File gpu/command_buffer/tests/fuzzer_main.cc (right): https://codereview.chromium.org/2691643002/diff/60001/gpu/command_buffer/tests/fuzzer_main.cc#newcode290 gpu/command_buffer/tests/fuzzer_main.cc:290: surface_ = new gl::GLSurfaceStub; On 2017/03/16 18:14:33, piman wrote: ...
3 months, 1 week ago (2017-03-16 19:43:03 UTC) #25
piman - OOO back 6-26
lgtm
3 months, 1 week ago (2017-03-16 20:18:24 UTC) #26
Geoff Lang
corpus is uploaded. Landing.
3 months ago (2017-03-20 15:45:15 UTC) #27
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2691643002/80001
3 months ago (2017-03-20 15:45:47 UTC) #30
commit-bot: I haz the power
3 months ago (2017-03-20 17:12:22 UTC) #34
Message was sent while issue was closed.
Committed patchset #5 (id:80001) as
https://chromium.googlesource.com/chromium/src/+/547de958066823514c34b264b071...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld cb946e318